List all pending transfer approvals
curl --request GET \
--url https://production.hifibridge.com/v2/transfer-approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/transfer-approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/transfer-approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Pending approvals retrieved successfully",
"count": 2,
"approvals": [
{
"id": "approval-123-e89b-12d3-a456-426614174002",
"transferId": "transfer-456-e89b-12d3-a456-426614174003",
"status": "PENDING",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T11:00:00.000Z",
"transferType": "WALLET.TRANSFER"
}
]
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Transfer Approvals
List all pending transfer approvals
Retrieve all pending transfer approvals that require admin action
GET
/
v2
/
transfer-approvals
List all pending transfer approvals
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of approvals to return
Required range:
1 <= x <= 100Number of approvals to skip
Required range:
x >= 0Response
Transfer approvals retrieved successfully
⌘I